    import {BpfLoader} from '@solana/web3'

public class | source

# BpfLoader

Factory class for transactions to interact with a program loader

## Static Member Summary

Static Public Members
public static get | programId: PublicKey Public key that identifies the BpfLoader |

## Static Method Summary

Static Public Methods
public static | load(connection: Connection, payer: Account, elf: Array<number>): Promise<PublicKey> Load a BPF program |

## Static Public Members

### public static get programId: PublicKey source

Public key that identifies the BpfLoader

## Static Public Methods

### public static load(connection: Connection, payer: Account, elf: Array<number>): Promise<PublicKey> source

Load a BPF program

#### Params:

Name | Type | Attribute | Description
connection | Connection |  | The connection to use
payer | Account |  | User account to load the program into
elf | Array<number> |  | The entire ELF containing the BPF program

#### Return:

Promise<PublicKey>